@import '~@angular/material/theming';

$art-white: (
        500: white,
        contrast: (
                500: $dark-primary-text
        )
);

$art-black: (
        500: #333,
        contrast: (
                500: $light-primary-text,
        )
);

$art-primary: (
        50 : #eaeaed,
        100 : #caccd1,
        200 : #a7aab3,
        300 : #848795,
        400 : #696e7e,
        500 : #4f5467,
        600 : #484d5f,
        700 : #3f4354,
        800 : #363a4a,
        900 : #262939,
        A100 : #8499ff,
        A200 : #516fff,
        A400 : #1e45ff,
        A700 : #0430ff,
        contrast: (
                50 : $dark-primary-text,
                100 : $dark-primary-text,
                200 : $dark-primary-text,
                300 : $dark-primary-text,
                400 : $light-primary-text,
                500 : $light-primary-text,
                600 : $light-primary-text,
                700 : $light-primary-text,
                800 : $light-primary-text,
                900 : $light-primary-text,
                A100 : $dark-primary-text,
                A200 : $dark-primary-text,
                A400 : $light-primary-text,
                A700 : $light-primary-text,
        )
);

$mat-accent: (
        50 : #fff2ef,
        100 : #fee0d7,
        200 : #fdcbbc,
        300 : #fcb6a1,
        400 : #fca68c,
        500 : #fb9678,
        600 : #fa8e70,
        700 : #fa8365,
        800 : #f9795b,
        900 : #f86848,
        A100 : #ffffff,
        A200 : #ffffff,
        A400 : #ffece8,
        A700 : #ffd7cf,
        contrast: (
                50 : $dark-primary-text,
                100 : $dark-primary-text,
                200 : $dark-primary-text,
                300 : $dark-primary-text,
                400 : $dark-primary-text,
                500 : $light-primary-text,
                600 : $light-primary-text,
                700 : $light-primary-text,
                800 : $light-primary-text,
                900 : $light-primary-text,
                A100 : $dark-primary-text,
                A200 : $dark-primary-text,
                A400 : $dark-primary-text,
                A700 : $dark-primary-text,
        )
);

$mat-warn: (
        50 : #fbe9eb,
        100 : #f5c8cd,
        200 : #efa4ab,
        300 : #e97f89,
        400 : #e46370,
        500 : #df4857,
        600 : #db414f,
        700 : #d73846,
        800 : #d2303c,
        900 : #ca212c,
        A100 : #ffffff,
        A200 : #ffd0d3,
        A400 : #ff9da2,
        A700 : #ff848a,
        contrast: (
                50 : $dark-primary-text,
                100 : $dark-primary-text,
                200 : $dark-primary-text,
                300 : $dark-primary-text,
                400 : $dark-primary-text,
                500 : $light-primary-text,
                600 : $light-primary-text,
                700 : $light-primary-text,
                800 : $light-primary-text,
                900 : $light-primary-text,
                A100 : $dark-primary-text,
                A200 : $dark-primary-text,
                A400 : $dark-primary-text,
                A700 : $dark-primary-text,
        )
);

$font-family-segoe: 'Segoe Pro';
$font-family-y: 'YouTube Sans Dark';
$font-family-norms: 'TT Norms Pro';
$font-family-exo: 'Exo 2', sans-serif;
$font-family: 'Golos Text';

$custom-typography: mat-typography-config(
        $font-family: $font-family,

        $display-4:     mat-typography-level(112px, 112px, 500),
        $display-3:     mat-typography-level(56px, 56px, 400),
        $display-2:     mat-typography-level(45px, 49px, 400),
        $display-1:     mat-typography-level(34px, 40px, 400),
        $headline:      mat-typography-level(24px, 32px, 400),
        $title:         mat-typography-level(20px, 32px, 500),
        $subheading-2:  mat-typography-level(15px, 26px, 400),
        $subheading-1:  mat-typography-level(15px, 24px, 500),
        $body-2:        mat-typography-level(14px, 23px, 500),
        $body-1:        mat-typography-level(14px, 20px, 400),
        $caption:       mat-typography-level(13px, 20px, 400),
        $button:        mat-typography-level(15px, 15px, 500),
        $input:         mat-typography-level(15px, 1.2, 400)
);

@include mat-core($custom-typography);


$default-primary-palette: mat-palette($art-primary, 500, 100, 800);
$default-accent-palette: mat-palette($mat-accent, 600, 200, 800);
$default-warn-palette: mat-palette($mat-warn);
$theme: mat-light-theme($default-primary-palette, $default-accent-palette, $default-warn-palette);

$colors-const: colors-const-generate($theme);

@include angular-material-theme($theme);

@include art-core-theme($theme);

@import 'src/app/open/pages/auth/auth.theme';
@import 'src/app/cabinets/university/application-menu/pages/application-detail/application-detail.theme';
@import 'src/app/cabinets/university/campaign-menu/components/campaign-item/campaign-item.theme';


/*@import 'src/@art-lib/components/main-toolbar/main-toolbar.theme';*/

@mixin components-theme($theme) {

    //pages
    @include auth-theme($theme);
    @include application-detail-theme($theme);

    //components
    @include campaign-item($theme);
}

@include components-theme($theme);
